summaryrefslogtreecommitdiffstats
path: root/scripts/t/mock-bin/gcc
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/t/mock-bin/gcc')
-rwxr-xr-xscripts/t/mock-bin/gcc20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/t/mock-bin/gcc b/scripts/t/mock-bin/gcc
new file mode 100755
index 0000000..0174f17
--- /dev/null
+++ b/scripts/t/mock-bin/gcc
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+args="$@"
+
+while [ $# -gt 0 ]; do
+ opt="$1"
+ shift
+
+ case "$opt" in
+ -dumpmachine)
+ echo x86_64-linux-gnu
+ exit 0
+ esac
+done
+
+# Otherwise fail hard.
+echo "$0: unsupported command ($args) in mock wrapper"
+exit 1